//	by EvilJess aka Jeffrey Bakker 2003

//	New or modified code (C)2003, 2004 Jeffrey Bakker <evil@damnclan.com>
//	Existing code for Unreal  Tournament 2004 Copyright  2004 Epic Games, Inc.


//	Certain Death - InstaSkel Rifle
//	Copyright (C) 2004 Jeffrey Bakker

//	This library is free software; you can redistribute it and/or
//	modify it under the terms of the GNU Lesser General Public
//	License as published by the Free Software Foundation; either
//	version 2.1 of the License, or (at your option) any later version.

//	This library is distributed in the hope that it will be useful,
//	but WITHOUT ANY WARRANTY; without even the implied warranty of
//	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
//	Lesser General Public License for more details.

//	You should have received a copy of the GNU Lesser General Public
//	License along with this library; if not, write to the Free Software
//	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

class DamTypeExplode extends DamTypeSniperHeadShot;

static function GetHitEffects(out class<xEmitter> HitEffects[4], int VictimHealth )
{
	HitEffects[0] = class'HitSmoke';
	HitEffects[1] = class'HitFlameBig';
}

defaultproperties
{
	KillerMessage=Class'CertainDeath2.HeadExplode'

	WeaponClass=Class'CertainDeath2.EvilInstaGib'
	DeathString="%k made %o suffer ber death."
	FemaleSuicide="%o suffered death beyond death."
	MaleSuicide="%o suffered death beyond death."

	DamageOverlayMaterial=None //Shader'WeaponSkins.ShockLaser.LaserShader'
	DamageOverlayTime=0.280000

	GibPerterbation=0.750000
	bAlwaysSevers=true
	bSkeletize=true
	bThrowRagdoll=True
	bFlaming=True
}